summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-27 00:46:27 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-27 00:46:27 +0000
commit46aab4331af57bf63c31f50815917cd4053cf891 (patch)
tree1ff70eba12db433b3fa42de9de772511f378c765 /dev-python
parent2befe1f07d2a7fad83bda92a10949181cba82ca3 (diff)
downloadbaldeagleos-repo-46aab4331af57bf63c31f50815917cd4053cf891.tar.gz
baldeagleos-repo-46aab4331af57bf63c31f50815917cd4053cf891.tar.xz
baldeagleos-repo-46aab4331af57bf63c31f50815917cd4053cf891.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.7.9.ebuild96
-rw-r--r--dev-python/aws-sam-translator/Manifest1
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.48.0.ebuild60
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.37.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.37.ebuild69
-rw-r--r--dev-python/braintree/Manifest1
-rw-r--r--dev-python/braintree/braintree-4.16.0.ebuild38
-rw-r--r--dev-python/dominate/Manifest1
-rw-r--r--dev-python/dominate/dominate-2.7.0.ebuild22
-rw-r--r--dev-python/flask-login/Manifest1
-rw-r--r--dev-python/flask-login/flask-login-0.6.2.ebuild42
-rw-r--r--dev-python/gpep517/gpep517-8.ebuild2
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.53.0.ebuild76
-rw-r--r--dev-python/imageio/Manifest1
-rw-r--r--dev-python/imageio/imageio-2.20.0.ebuild52
-rw-r--r--dev-python/iminuit/Manifest1
-rw-r--r--dev-python/iminuit/iminuit-2.14.0.ebuild42
-rw-r--r--dev-python/meson-python/Manifest1
-rw-r--r--dev-python/meson-python/meson-python-0.8.0.ebuild45
-rw-r--r--dev-python/pandas/Manifest1
-rw-r--r--dev-python/pandas/files/pandas-1.4.0-distutils-hack-assertion.patch14
-rw-r--r--dev-python/pandas/pandas-1.4.2.ebuild201
-rw-r--r--dev-python/pandas/pandas-1.4.3.ebuild2
-rw-r--r--dev-python/pygame_sdl2/pygame_sdl2-7.3.5-r2.ebuild7
-rw-r--r--dev-python/sphinx-autoapi/Manifest1
-rw-r--r--dev-python/sphinx-autoapi/sphinx-autoapi-1.9.0.ebuild41
-rw-r--r--dev-python/stapler/stapler-1.0.0_p20220330.ebuild5
-rw-r--r--dev-python/urllib3/Manifest1
-rw-r--r--dev-python/urllib3/urllib3-1.26.11.ebuild78
-rw-r--r--dev-python/virtualenv/Manifest1
-rw-r--r--dev-python/virtualenv/virtualenv-20.16.0.ebuild106
35 files changed, 860 insertions, 221 deletions
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 868fe683f32b..56890b3af396 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -3,3 +3,4 @@ DIST aesara-rel-2.7.5.gh.tar.gz 7920343 BLAKE2B 04f7c1cf587799b915a54067a98608ce
DIST aesara-rel-2.7.6.gh.tar.gz 7917317 BLAKE2B 21f801bebfe207586482b7eddb2fb1a2d812cb7c9bb28f2a7bc96543dabbe7ea7aa16781636d9e52d8abd389c8c148b3ae16696214d2914b702bb9dce114f149 SHA512 719d6ded6a058b739b3f2dcd734ef785b05eb07dec152c523d2ace7c5e9dd05d1550113f10e114b63b72d3a697900763c6f1e753db9c8d01a6c877fc5d3c2732
DIST aesara-rel-2.7.7.gh.tar.gz 7918070 BLAKE2B 70a48fdeac8be6c070850294101aa379652f26c2ff7c9723232d6aea31b3aa52675299c2f85fb6e1b5a4c5dfc020f12d72bf1e8b5ddc1d487e750c2ad7583d8c SHA512 2a1e4488aab1dbef71537871cc9a2060d4e760a1b4dfc74ed1d4d2b2acf6a030c4ee27c9f464934219630eaffde4431571a4424bf27f6ee53a80b7bfc1fdfa2b
DIST aesara-rel-2.7.8.gh.tar.gz 7918625 BLAKE2B 89f600e6b053526b8a214246746138066e2937633e132e68eef52e5dffa33509d4eee48f513077128e865f265a4e4b0ebe727dce5ed699c3f445b6850966c3c5 SHA512 33d57a5679480176cd814f6f5a36dc83ab0fe5f704a60ced2beceb10a4684bba7464f0d9473adc65541b755d3a5850af61d5ac8d8303f31d9c6718109ee331e1
+DIST aesara-rel-2.7.9.gh.tar.gz 7919763 BLAKE2B f877edcc824f3d790a56422a0fa660e8e3f653fff7e3d87ef4a95fa76369b1bb5df351a571ea039d66d79c0f564512437672df76c3b82e7d660c865cf908dea3 SHA512 061f7e39343eb081b28dd20b1eb7ffc226b7e4b96695d5beb9e28eb3f5ec9480c02c7889c932290248baa908dc0047c19e4cef3c220eccc4cc617b2050a9614e
diff --git a/dev-python/aesara/aesara-2.7.9.ebuild b/dev-python/aesara/aesara-2.7.9.ebuild
new file mode 100644
index 000000000000..9d345dd98f6e
--- /dev/null
+++ b/dev-python/aesara/aesara-2.7.9.ebuild
@@ -0,0 +1,96 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="
+ https://github.com/aesara-devs/aesara/
+ https://pypi.org/project/aesara/
+"
+SRC_URI="
+ https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/etuples[${PYTHON_USEDEP}]
+ dev-python/logical-unification[${PYTHON_USEDEP}]
+ dev-python/minikanren[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ <dev-python/numpy-1.23[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-45[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/aesara-2.6.5-compiledir-tid.patch
+)
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+
+ # dunno
+ 'tests/tensor/test_elemwise.py::TestDimShuffle::test_memory_leak[False]'
+ )
+ local EPYTEST_IGNORE=(
+ # we do not package numba
+ tests/link/test_numba.py
+ tests/link/test_numba_performance.py
+ # ..or jax
+ tests/link/test_jax.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AESARA_FLAGS="cxx=${CXX}"
+ AESARA_FLAGS+=",config.gcc__cxxflags=\"${CXXFLAGS}\""
+ AESARA_FLAGS+=',compiledir_format="compiledir_%(thread_id)s"'
+
+ epytest -p xdist.plugin -n "$(makeopts_jobs)"
+ # clean up the compiledir, as it can grow pretty large
+ rm -r "${HOME}"/.aesara || die
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/bin/__init__.py" || die
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index dc8ff5798053..edf1715b66e0 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1,2 +1,3 @@
DIST aws-sam-translator-1.46.0.gh.tar.gz 1082378 BLAKE2B 915f09ab6ecdecca7cc149ebd93d7370a3cfd103cf7e222fe5f8aefe084a8f285606a7a18467d996d643c70b132014d7ebeeb6d313498b8879ad13d905f3afbb SHA512 c33edd6209d7051a0d8132cdb675953a691f371e4ce02207d047be03211aff4d4c491c0f8d0fb8776a0693ff702d24ffc338d005bc9c6f166658e8293e478731
DIST aws-sam-translator-1.47.0.gh.tar.gz 1087660 BLAKE2B 47e13a468f2ac0015683acb187a83f0e8f8b23162d4cd1b70eadfe36d3e10ea19259f2f313beb557175456f3455da3b08594207bb013cc33d30e4964ddec8ba8 SHA512 29af2b6c51384c906328d839f412dddbf0d9fcf07e77484567fd6c63be44d152b003087595530e20c63e504bc2fc27cc041c4cf21aab070240b6211a93a2dd20
+DIST aws-sam-translator-1.48.0.gh.tar.gz 1098247 BLAKE2B 99f3c94f94535e1ccfac5e20a2e403d7be6867bf7a644390a0aeb3444edaecf55d6b9454dd01c09ab12693c9abbf9c2994ea018f636f759f0f2d67e364ef4dd6 SHA512 150447a0068e056f38b246f27e3c5db831fb4a01cbc302d6203713d935a480bcd8d758873819eda02f2a4bf5a07ab397cbe63b6006bd053c5589b3220515eb65
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.48.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.48.0.ebuild
new file mode 100644
index 000000000000..3ea285dba99f
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.48.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+ https://github.com/aws/serverless-application-model/
+ https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+ https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/serverless-application-model-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/boto3-2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-2.6[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ tests/validator/test_validator_api.py::TestValidatorApi::test_errors_13_error_definitionuri
+ tests/unit/test_region_configuration.py::TestRegionConfiguration::test_is_service_supported_positive_4_ec2
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_transform_template_translate::test_sar_success_one_app
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_transform_template_translate::test_sar_throttling_doesnt_stop_processing
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_transform_template_translate::test_sleep_between_sar_checks
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_transform_template_translate::test_unexpected_sar_error_stops_processing
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_and_on_after_transform_template::test_time_limit_exceeds_between_combined_sar_calls
+)
+
+python_prepare_all() {
+ # remove pytest-cov dependency
+ sed -i -e '/addopts/d' pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8b1804922d39..51eedb136387 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.24.26.gh.tar.gz 515531 BLAKE2B 34f99c4dd224731e07c2f0b175d6d172661ce454a7af16be6856053af1bfac69b7f56ada5b154fb625fe2ba1fb22fbe34b5150c550890e46a923b48f2466b06b SHA512 a3980ec79abd5e2656d7d02b36dff6b8c2acb67033eff134d96dccbb9d8bbc2d711698b87d08d537256fad7e3b3cd7af008018ef567b12d63ef0fc871a8f3b3e
DIST boto3-1.24.31.gh.tar.gz 519387 BLAKE2B 8581d1018f0e1f0802779851edb52fdb6860c44bf46e6315eddd3b603cb65a0763707686286aa06447e90df6c8e6cae3de0e6bae8a9836ad90e5a3f4335797bf SHA512 370773f2365f4dcc7b73d0828bc84f0de5c15b189d23b799738c2358b1b0119e5e457f26529b7a6c90d637c2142121a2874d088671715c8deb4b793afbf7fd38
DIST boto3-1.24.36.gh.tar.gz 522156 BLAKE2B b76cb50f01ff85c960a0984f950e72f02ac6e85131fd344142b886a3c745cb8b9073f865527911b88c462912413fce6df4066752ab5eec8ad1561d349ad22437 SHA512 fe00e78cc522248c449f83f869bb7d76793db9aa436259e74d0aa25984a02876191a7df41b1ad7658b06e418f248ad616743698c87a5c9696f77a196a53c561e
+DIST boto3-1.24.37.gh.tar.gz 522233 BLAKE2B ab361fd7443ff499c18a8e86c9a80da14e6a1d960fbac26d2e12d8806684daf169010225ce7a402626a814cb29fcc281ea61d293eb5eb197f48dccdb8a7a14ef SHA512 b75ea002f3a3e3b8c498797278adbf5f7d4b220baf7b8fa3be8c972bf2981933d962878b7d96a7c01c9a28be267effea34b48692716e7eabfa077ede380c816e
diff --git a/dev-python/boto3/boto3-1.24.37.ebuild b/dev-python/boto3/boto3-1.24.37.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.37.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index ded0cc1176d4..78f6879011d4 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.27.26.tar.gz 9167551 BLAKE2B 9e95c1e6e5261b08247615446a589318d92cc86768c5e3999f99fb8e2a4a888309d72d4d3d66a1ebf9c1e2b6ccab6265a1d94ad9dcbf9da22aa1ae012aa2bfb3 SHA512 bbb563c2bc8eb3fe022f0b7be263ef16de93aadb02fb7a8e242f53a957a97e8f8b5d043ea8897a7b268d4d64b1e4972f2ccc91b8255f232c858f6a9ba1d93f34
DIST botocore-1.27.31.tar.gz 9184651 BLAKE2B 01dcd9e94490923f7d0f463d3019007f58c5e441ae65ea2c365ed20417e8f7b532228a335c6f461ca97411269aaa78aa48fa33cccd8b2e45a6665c2410bb4352 SHA512 27f810e0519144fae71600ea7f6d9a15cca30386ee0f2b06beeeb64c06da8728b54709fb770673f708697dd930fe744703728ce00b6a1149361ab550fef9ccb4
DIST botocore-1.27.36.gh.tar.gz 9465835 BLAKE2B c22c341d6e762316f3d8719bd8c1fd52140642739361a7ade326d739005dbd141a6b4e1798287b40bf7ba40cd5e158d36f195893d529f5ba375b06087d2122b9 SHA512 09ef156b3c0457ceef341bf26e3f060d3e91808f1da66d1dbb06ba2826be3c61e047383dc9d8a719bb8e172e91f6475f4613c14d30c57c6a909b51c8ba7334cc
+DIST botocore-1.27.37.gh.tar.gz 9466348 BLAKE2B 56c670e22204dcd12164094d52b1ed4ec820241f1423738e008f24762a5702149f2eb57283ec194a77cc2d57bc1183d91a90ca55ae0cf977aa1abdacb922ed86 SHA512 adb18c54a757077f7cff4b9b6716d015998432faeb3eb7d0a631631e5b0cf7814b40843ba379841cef920d3eca1367623f52491f53fed9f318898b3a6197eac9
diff --git a/dev-python/botocore/botocore-1.27.37.ebuild b/dev-python/botocore/botocore-1.27.37.ebuild
new file mode 100644
index 000000000000..6a8e7e93c947
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.37.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/braintree/Manifest b/dev-python/braintree/Manifest
index fb751f120e1e..abdeaa07b861 100644
--- a/dev-python/braintree/Manifest
+++ b/dev-python/braintree/Manifest
@@ -1 +1,2 @@
DIST braintree-4.15.2.gh.tar.gz 207089 BLAKE2B 5ed62e341c05e254cf3bec47f91704670bb57873be995352ce1e427e8075aee6193e11cbd863074b1ae39ddbf2c1a77f7c0207ffa9c8b7ca9335e2beeed42f29 SHA512 324823a078bc4068577793b169dd6b3d67e05d77850cebfe09602c0f6c3626ef1098f612c0ddfb7cc72b4b734d7319944c30297658f77edaf906334d27393f13
+DIST braintree_python-4.16.0.gh.tar.gz 211927 BLAKE2B 335215a538f00b04bda607887c582c1f55fcf3918f5c662f435791889cfc4f813a1e4362056bd8c5e4d907a77cf2eab11463bf1b5b839ce615350fa1614adad8 SHA512 6eaed1dec96032f3522e59e66c64ab674324518b7086ed9aefd2cdd5ae70e2d3e114a2e422f3edcae47dd95a5f332182dd65800cacb20bcbdf7e01a1e96498bb
diff --git a/dev-python/braintree/braintree-4.16.0.ebuild b/dev-python/braintree/braintree-4.16.0.ebuild
new file mode 100644
index 000000000000..8c0cbb0fcfd5
--- /dev/null
+++ b/dev-python/braintree/braintree-4.16.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=braintree_python-${PV}
+DESCRIPTION="Braintree Python Library"
+HOMEPAGE="
+ https://developer.paypal.com/braintree/docs/reference/overview/
+ https://github.com/braintree/braintree_python/
+ https://pypi.org/project/braintree/
+"
+SRC_URI="
+ https://github.com/braintree/braintree_python/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-0.11.1[${PYTHON_USEDEP}]
+"
+
+DOCS=( README.md )
+
+distutils_enable_tests nose
+
+python_test() {
+ nosetests -v tests/unit || die
+}
diff --git a/dev-python/dominate/Manifest b/dev-python/dominate/Manifest
index 66b01f6f2541..295e41e36abb 100644
--- a/dev-python/dominate/Manifest
+++ b/dev-python/dominate/Manifest
@@ -1 +1,2 @@
DIST dominate-2.6.0.tar.gz 35034 BLAKE2B f3a7aba630e925874da7387a1eed7ca15c353cb6464971d73e86eb259cbabad8b7736a0240d5c1578f84dc828f1ad6cd2e404c323dab9c0305031115e450944e SHA512 1bb690d05a290753cabac045160500717eda8c7610ce88d2b88a490abaa64b2cdb07067c433fa6a27110ec6cb67d884d335663217391e61215ac8eb30003d8e6
+DIST dominate-2.7.0.tar.gz 36351 BLAKE2B aae802626a9e7f6b6f45f39a5b2cd6a6846ca42617e9a5ac5fe8e4a871e8ecfb89124e079313838c6f098ea5107a904d230808eda29cb05293e18ef4bdaa2504 SHA512 8ecca393548bd7c39b5d1800fee94634a60e4e12db44e16df316c9e0f5f04dc6c91e11fbe242d3c6dade3a5e09bec7e3becbfd4f8eaa58f9a8fc7ee15ac3bf31
diff --git a/dev-python/dominate/dominate-2.7.0.ebuild b/dev-python/dominate/dominate-2.7.0.ebuild
new file mode 100644
index 000000000000..19113104bcde
--- /dev/null
+++ b/dev-python/dominate/dominate-2.7.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for creating and manipulating HTML documents using an elegant DOM API"
+HOMEPAGE="
+ https://github.com/Knio/dominate/
+ https://pypi.org/project/dominate/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/flask-login/Manifest b/dev-python/flask-login/Manifest
index 9659e9ba34ce..11f0a9042fe8 100644
--- a/dev-python/flask-login/Manifest
+++ b/dev-python/flask-login/Manifest
@@ -1 +1,2 @@
DIST flask-login-0.6.1.gh.tar.gz 48215 BLAKE2B eb1fa81aad9bd8cf663b3ea85649f90f39d7a91c4c771e697b0cb7d66c7e4a5994befbaad36a7deba6f5aea27e6f47ff616aa00cd073433851cf8a9248e4b3a3 SHA512 f220e24079923c669d1ce27fdbc7ff8e07e92bc947e2708034cb349176e33ae0adf36ef6c30e8328f592d9a3eb6d0796dc577033f07c33ef0bc48c13a11a942e
+DIST flask-login-0.6.2.gh.tar.gz 48195 BLAKE2B 74d980f9900d9c583e03caa704cf637c5c6dac6a26e74bc008f47c18213764bafef16e33d9d28eee588b3c2f7d2a5895eae88e5adf755fe0448f7e74d5c65e74 SHA512 b286272ad5f7de2cfc913bee4a3eac46e4c1ce274bb12467009e1abae422f1a855aa49fd898778b8a2e937eebe9fbb387af11815267a2bc120cde943939111ec
diff --git a/dev-python/flask-login/flask-login-0.6.2.ebuild b/dev-python/flask-login/flask-login-0.6.2.ebuild
new file mode 100644
index 000000000000..f5fddf43c90a
--- /dev/null
+++ b/dev-python/flask-login/flask-login-0.6.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Login session support for Flask"
+HOMEPAGE="
+ https://github.com/maxcountryman/flask-login/
+ https://pypi.org/project/Flask-Login/
+"
+SRC_URI="
+ https://github.com/maxcountryman/flask-login/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/flask-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-1.0.1[${PYTHON_USEDEP}]
+"
+DEPEND="
+ test? (
+ dev-python/asgiref[${PYTHON_USEDEP}]
+ dev-python/blinker[${PYTHON_USEDEP}]
+ dev-python/semantic_version[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -p no:httpbin
+}
diff --git a/dev-python/gpep517/gpep517-8.ebuild b/dev-python/gpep517/gpep517-8.ebuild
index db24e141454b..ee2c4144c124 100644
--- a/dev-python/gpep517/gpep517-8.ebuild
+++ b/dev-python/gpep517/gpep517-8.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
>=dev-python/installer-0.5.0[${PYTHON_USEDEP}]
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index d7f602230ec4..56b07d9475f3 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,4 +3,5 @@ DIST hypothesis-6.52.1.gh.tar.gz 9321216 BLAKE2B a05c1778088455010c444be13e5c469
DIST hypothesis-6.52.2.gh.tar.gz 9321530 BLAKE2B d54b97bf15895b503d14629c61cd99d120f318d485c37d2d2e0c012f3a55c361a11caea6329d76baaa1e39635fcd24d0694b45edbf2d0976d29848501c1030f4 SHA512 ac912865374297a299aea0a1f9b56cd5ddd89b8659f81112e7993039ccfb726835730103c756067c6c7ae00833352cda8dd4d555e3c11741b527b8f9c9b83fd4
DIST hypothesis-6.52.3.gh.tar.gz 9321591 BLAKE2B 50415d463d2513b023b8a6ac87a2bb6dae433b823fd209ec1137a26184bb5550fb9606e006cffecbff09c523fb244b9f8c119e1c9dc765b925f8aa6b0dc43bed SHA512 f8aae5976cc2bd47e157310434d2717caea5e639daf1d794fa6c45332fe44fc5873904451f1fb0b53d56e64147428c4c87e130b4776fd3b14e2c2b961660231d
DIST hypothesis-6.52.4.gh.tar.gz 9323011 BLAKE2B fece23da48d4849252a0fa48ae741506f49aa1f2b63f81afe3b71d18e0325a4e337bebde1a1707390d38bdf57e2ce1145985231f68557b36c58886d82774a7d9 SHA512 c51f29d52757d08652f83deda48825ca38c86e0bc67743c2cff9c85f52d726671f07d0249dfdc761b2ba8250d40beacdf5e037e8629f24df5baeddd297f38030
+DIST hypothesis-6.53.0.gh.tar.gz 9323355 BLAKE2B 589cd4803351e72cc1896453e5e548bb6fb5f998032bce91708e02f3c8ff5d288ec76d65eeffde5fa31b6b86fbb3ad81dfe3eebaaac841f197de3a07acfa12bd SHA512 ab4de3764ca3ce8e5e50966ea94fcadd85e7c9f170dbbd17383b5516528e091ebfe3b06846513ee77a1f7a2e827236d323c12cc120cac421ec7aa9f3a2ca5e4a
DIST hypothesis-hypothesis-python-6.46.11.gh.tar.gz 9312248 BLAKE2B 78b5ca5bd38bd62d2fe50ab929df075e253c059aed329d6b52051fb01449f8de84ae340ba42a4af94ef592411139a45d34aad232fe4bb2d8412165730bbeca01 SHA512 6fdd54f28d275eb65a4f6e6919437d503eba6254c25e22298c34ac67e6de03cd99a5178b1a475b1da7f7afeed8406e89c20b4818436143f442222d26f0d94796
diff --git a/dev-python/hypothesis/hypothesis-6.53.0.ebuild b/dev-python/hypothesis/hypothesis-6.53.0.ebuild
new file mode 100644
index 000000000000..5b926953a2fd
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.53.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/imageio/Manifest b/dev-python/imageio/Manifest
index fa1c92018317..0a7aef176983 100644
--- a/dev-python/imageio/Manifest
+++ b/dev-python/imageio/Manifest
@@ -1,2 +1,3 @@
DIST imageio-2.19.3.gh.tar.gz 388949 BLAKE2B bf7f7b2cc036d6bc808cedeefe624dfe43b232518f78974fffe9c664f23c8e89da73e5b777ee6049aa0ec363400fe8d9df1388a91a4b0a01089609d7ce12eaf3 SHA512 5ad9f332ea723facd5d9295e463b12d2cc17dfef8a7349ce194a8d32fcc5d07a29550834c66dc6e5837f8440347387b46624243fa267750f986042910ff6cb90
DIST imageio-2.19.5.gh.tar.gz 389832 BLAKE2B a4455f97d2607d215ba4797e076487f4648ae6b21bf7b5207df8f337b52319ba4dd415d6e351289b588a049c800e8c541fcdaefe064cb4c83de12e63c492cf83 SHA512 481f14116961927946a71a7448ecf38f9781172969ab4e35c05360d758f7273be22262d4cd774a76b2089be3b7f0af6cf0a67d40814504e7a65db7075428966c
+DIST imageio-2.20.0.gh.tar.gz 390281 BLAKE2B 745364f98e3835c428e89abbfbeeb657d10cd730cd61283e5859b10a6e48b63a5b9771860fce75aa8dd770ab77671979847b34bbffe17d215fac5ceb8eb2c7d1 SHA512 fc1c41559cc15b76bfacbf4866717c200889661787de4baa49d69fab189ff7d00e376afdeeaaf74b5581e1ffc96da2f02566dfa9c0953518b98a4c4b695ddf02
diff --git a/dev-python/imageio/imageio-2.20.0.ebuild b/dev-python/imageio/imageio-2.20.0.ebuild
new file mode 100644
index 000000000000..65cad728e477
--- /dev/null
+++ b/dev-python/imageio/imageio-2.20.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for reading and writing image data"
+HOMEPAGE="
+ https://imageio.readthedocs.io/en/stable/
+ https://github.com/imageio/imageio/
+ https://pypi.org/project/imageio/
+"
+SRC_URI="
+ https://github.com/imageio/imageio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# over 50% of tests rely on Internet
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/numpy-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.3.2[${PYTHON_USEDEP}]
+ media-libs/freeimage
+"
+# requests for fsspec[github]
+BDEPEND="
+ test? (
+ dev-python/fsspec[${PYTHON_USEDEP}]
+ dev-python/imageio-ffmpeg[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tifffile[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Fails because of system installed freeimage
+ tests/test_core.py::test_findlib2
+ # Tries to download ffmpeg binary ?!
+ tests/test_ffmpeg.py::test_get_exe_installed
+)
diff --git a/dev-python/iminuit/Manifest b/dev-python/iminuit/Manifest
index 70f8e9cc6924..0219931648e5 100644
--- a/dev-python/iminuit/Manifest
+++ b/dev-python/iminuit/Manifest
@@ -3,3 +3,4 @@ DIST iminuit-2.12.0.tar.gz 420687 BLAKE2B 9d3761bd756f58a7c36a61f161e4667f8efbb6
DIST iminuit-2.12.1.tar.gz 420488 BLAKE2B 8910017f27d683b5129a506c7536def9b70b3dac27153985023f81bc94fb767c33f0a9fb4c8ac6911634839fd3870ac3bb63ddbf0cd8925b68778983c341354b SHA512 2b54ebb3c66eb508e848fbedae32aac32a82d794da899d10848d683b7a97b7882014e77b1e98be3563b0e96957208072f048e8df23a8c14f5e3b472eae5b5f23
DIST iminuit-2.12.2.tar.gz 420639 BLAKE2B b158dd0916d5de229a1af16c402d8f51fd01cb9ed8e894677c2cb941fb587ac10ec94ce6787fb76291315c4e91cbf6c1492e65b821580a395385b2f50a38cdfd SHA512 620cfe19862ca6559ea5b2bc3f04a3212d8041e6de97056a17fe1e2a9dfe37d1c2128ae4bf6b2a5b796ce48719eeaa0d31dd025a0f469f401b1d9858685b3c82
DIST iminuit-2.13.0.tar.gz 422872 BLAKE2B 756c43cfa89037ee80c274e0e4e9a70fe8fbbc3dd6508964361221740f8b159657d944c2c1fe32056ce0118489ad427c074f822ec6e8c9b809cc04cf34e9be45 SHA512 4a7d4eab7ea996069fce439eeaf9459d86d35d8cb95efb3893601f30cabab28c56da8ada7ae4ae1b9d0b8ce41f8d4ecc36e0a98a5e67ca1f739b40dda61cfd54
+DIST iminuit-2.14.0.tar.gz 427380 BLAKE2B 1ed6119bb6ee3ed91a6f40064959c138d12526d534520104cede88f14f298ff25f51d3e17515b3d3b78b7cbb4361a6cb704e24dc02930ad9414c42fed96c830c SHA512 8370c62a02e99e4eaf19153fabb6dc1dbd5db50fed94df73be28bbdc3b5f2d27cb1e770e5d6a031cbf780799363c69da0fb78e12a7f8cdc832e6120e4e78bd0b
diff --git a/dev-python/iminuit/iminuit-2.14.0.ebuild b/dev-python/iminuit/iminuit-2.14.0.ebuild
new file mode 100644
index 000000000000..4bc2076a752f
--- /dev/null
+++ b/dev-python/iminuit/iminuit-2.14.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+# forced implicitly
+CMAKE_MAKEFILE_GENERATOR=emake
+inherit cmake distutils-r1 virtualx
+
+DESCRIPTION="Minuit numerical function minimization in Python"
+HOMEPAGE="https://github.com/scikit-hep/iminuit/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT LGPL-2.1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ epytest -p no:pytest-describe || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/meson-python/Manifest b/dev-python/meson-python/Manifest
index 1b3ee629b721..4c6858f6c287 100644
--- a/dev-python/meson-python/Manifest
+++ b/dev-python/meson-python/Manifest
@@ -1,2 +1,3 @@
DIST meson-python-0.6.0.gh.tar.gz 26783 BLAKE2B d5c5b95d5d609487a0efee1ce05b133794705cdb16f2d05d6e08b9201541e31f61a832c7770b4b5ad675f8dd91860c30c67769ce8fc0af2c48e65b0aad187ddb SHA512 25042ea030d2ad323c67daa0a520db936a4a4efa0de1c9f631c47fac22d797e01d1f1707ed407e2931164a35b3916e19a774ee16ab1d45fc91e41c75add57fa1
DIST meson-python-0.7.0.gh.tar.gz 28959 BLAKE2B 6b60855d19c7dbbc4c8aca474ad55d4ce2a5db553ba86d2831adea7138d540433733d3b8e4077bf7314a6e6b68cd15b538b336afecaff3b262ae6d2157d8d5f0 SHA512 df529a3d31c67199cf72700734ea62b0de4f8eb03b437af9b53968e37c0350cbe60ba7385f8c3026d66fe2050df4c59912bf65e4a6e62ce19bace52fdcfef2e7
+DIST meson-python-0.8.0.gh.tar.gz 29367 BLAKE2B bf501ef73baa5481f5367b642cefca5a8b8655b4d74776aea21f0be4608c3e42d765f17ffdd037f39e7fc9c48d162293f93af61a30533e1823a66de5151ec1f9 SHA512 1709cdf3b357970566b25958cead88be2062e35ee8576275d0ca2571eca1f6a0211986b2693af0944026f2693511729b9d5cb30279952c65a287fa510c19186d
diff --git a/dev-python/meson-python/meson-python-0.8.0.ebuild b/dev-python/meson-python/meson-python-0.8.0.ebuild
new file mode 100644
index 000000000000..975e50e74db1
--- /dev/null
+++ b/dev-python/meson-python/meson-python-0.8.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Meson PEP 517 Python build backend"
+HOMEPAGE="
+ https://pypi.org/project/meson-python/
+ https://github.com/FFY00/meson-python/
+"
+SRC_URI="
+ https://github.com/FFY00/meson-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/pyproject-metadata-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+ >=dev-util/meson-0.60.0[${PYTHON_USEDEP}]
+ dev-util/patchelf
+"
+BDEPEND="
+ test? (
+ dev-python/GitPython[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.7.0-defaults.patch
+)
+
+distutils_enable_sphinx docs \
+ dev-python/furo \
+ dev-python/sphinx-autodoc-typehints
+distutils_enable_tests pytest
diff --git a/dev-python/pandas/Manifest b/dev-python/pandas/Manifest
index 657b035e520b..bac761fd49a8 100644
--- a/dev-python/pandas/Manifest
+++ b/dev-python/pandas/Manifest
@@ -1,2 +1 @@
-DIST pandas-1.4.2.tar.gz 4940242 BLAKE2B b44c9e46458b4e2919b2d215c8678601ef0976118197172ddc74fa712cf07b02cdb09b79940e90bf6907a45e7e3c63615292f7141a4fb8ed4ae22a36decd1e39 SHA512 6406241e30e9ed386610dd90bbb7407cfe3e94ff20c8fd1241aa75288894666f06e59f7c74b5f916080a3745254ba22ec9dad1195f040b613639b5712aced571
DIST pandas-1.4.3.tar.gz 4941520 BLAKE2B b134f7c04c2478b7105214ed62e9adcaed98ffb4179a785f7887850d66702bf0f185d60a3da6de6226742529008bac614b494453dca929e477960ff3b43ef93d SHA512 d8d7575ce2b813361641d4e438844e03ed79179f5dcc56f2e4923bfeceab6f825a9bcc419e9492ee5e0272ea7c9bb9eeab6a0e242a880a87999df2a492436d8e
diff --git a/dev-python/pandas/files/pandas-1.4.0-distutils-hack-assertion.patch b/dev-python/pandas/files/pandas-1.4.0-distutils-hack-assertion.patch
deleted file mode 100644
index 4842de94311f..000000000000
--- a/dev-python/pandas/files/pandas-1.4.0-distutils-hack-assertion.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-diff --git a/pandas/util/_print_versions.py b/pandas/util/_print_versions.py
-index 289900c473..91d518d1ab 100644
---- a/pandas/util/_print_versions.py
-+++ b/pandas/util/_print_versions.py
-@@ -60,8 +60,8 @@ def _get_dependency_info() -> dict[str, JSONSerializable]:
- "pytz",
- "dateutil",
- # install / build,
-- "pip",
- "setuptools",
-+ "pip",
- "Cython",
- # test
- "pytest",
diff --git a/dev-python/pandas/pandas-1.4.2.ebuild b/dev-python/pandas/pandas-1.4.2.ebuild
deleted file mode 100644
index 53aa222542af..000000000000
--- a/dev-python/pandas/pandas-1.4.2.ebuild
+++ /dev/null
@@ -1,201 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-
-VIRTUALX_REQUIRED="manual"
-
-inherit distutils-r1 multiprocessing optfeature virtualx
-
-DESCRIPTION="Powerful data structures for data analysis and statistics"
-HOMEPAGE="https://pandas.pydata.org/ https://github.com/pandas-dev/pandas/"
-SRC_URI="
- https://github.com/pandas-dev/pandas/releases/download/v${PV}/${P}.tar.gz
-"
-S="${WORKDIR}/${P/_/}"
-
-SLOT="0"
-LICENSE="BSD"
-KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86"
-IUSE="doc full-support minimal test X"
-RESTRICT="!test? ( test )"
-
-RECOMMENDED_DEPEND="
- >=dev-python/bottleneck-1.2.1[${PYTHON_USEDEP}]
- >=dev-python/numexpr-2.7.0[${PYTHON_USEDEP}]
-"
-
-# TODO: add pandas-gbq to the tree
-OPTIONAL_DEPEND="
- dev-python/beautifulsoup4[${PYTHON_USEDEP}]
- dev-python/blosc[${PYTHON_USEDEP}]
- || (
- dev-python/html5lib[${PYTHON_USEDEP}]
- dev-python/lxml[${PYTHON_USEDEP}]
- )
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/matplotlib[${PYTHON_USEDEP}]
- || (
- dev-python/openpyxl[${PYTHON_USEDEP}]
- dev-python/xlsxwriter[${PYTHON_USEDEP}]
- )
- >=dev-python/pytables-3.2.1[${PYTHON_USEDEP}]
- >=dev-python/xarray-0.12.3[${PYTHON_USEDEP}]
- >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/xlrd-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/xlwt-1.3.0[${PYTHON_USEDEP}]
- !hppa? (
- dev-python/statsmodels[${PYTHON_USEDEP}]
- >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
- )
- X? (
- || (
- dev-python/PyQt5[${PYTHON_USEDEP}]
- x11-misc/xclip
- x11-misc/xsel
- )
- )
-"
-COMMON_DEPEND="
- >=dev-python/numpy-1.21.0[${PYTHON_USEDEP}]
- >=dev-python/python-dateutil-2.8.1-r3[${PYTHON_USEDEP}]
- >=dev-python/pytz-2020.1[${PYTHON_USEDEP}]
-"
-DEPEND="
- ${COMMON_DEPEND}
- >=dev-python/cython-0.29.24[${PYTHON_USEDEP}]
- doc? (
- ${VIRTUALX_DEPEND}
- app-text/pandoc
- dev-python/beautifulsoup4[${PYTHON_USEDEP}]
- dev-python/html5lib[${PYTHON_USEDEP}]
- dev-python/ipython[${PYTHON_USEDEP}]
- dev-python/lxml[${PYTHON_USEDEP}]
- dev-python/matplotlib[${PYTHON_USEDEP}]
- dev-python/nbsphinx[${PYTHON_USEDEP}]
- >=dev-python/numpydoc-0.9.1[${PYTHON_USEDEP}]
- >=dev-python/openpyxl-1.6.1[${PYTHON_USEDEP}]
- >=dev-python/pytables-3.0.0[${PYTHON_USEDEP}]
- dev-python/pytz[${PYTHON_USEDEP}]
- dev-python/rpy[${PYTHON_USEDEP}]
- dev-python/sphinx[${PYTHON_USEDEP}]
- dev-python/xlrd[${PYTHON_USEDEP}]
- dev-python/xlwt[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
- x11-misc/xclip
- )
- test? (
- ${VIRTUALX_DEPEND}
- ${RECOMMENDED_DEPEND}
- ${OPTIONAL_DEPEND}
- dev-python/beautifulsoup4[${PYTHON_USEDEP}]
- >=dev-python/hypothesis-5.5.3[${PYTHON_USEDEP}]
- dev-python/openpyxl[${PYTHON_USEDEP}]
- dev-python/pymysql[${PYTHON_USEDEP}]
- >=dev-python/pytest-6[${PYTHON_USEDEP}]
- >=dev-python/pytest-xdist-1.31[${PYTHON_USEDEP}]
- dev-python/psycopg:2[${PYTHON_USEDEP}]
- dev-python/xlsxwriter[${PYTHON_USEDEP}]
- x11-misc/xclip
- x11-misc/xsel
- )
-"
-# dev-python/statsmodels invokes a circular dep
-# hence rm from doc? ( ), again
-RDEPEND="
- ${COMMON_DEPEND}
- !minimal? ( ${RECOMMENDED_DEPEND} )
- full-support? ( ${OPTIONAL_DEPEND} )
-"
-
-python_prepare_all() {
- local PATCHES=(
- # https://github.com/pandas-dev/pandas/issues/44980
- "${FILESDIR}"/pandas-1.4.0-distutils-hack-assertion.patch
- )
-
- # Prevent un-needed download during build
- sed -e "/^ 'sphinx.ext.intersphinx',/d" \
- -i doc/source/conf.py || die
-
- # requires package installed
- sed -e '/extra_compile_args =/s:"-Werror"::' \
- -i setup.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile() {
- distutils-r1_python_compile -j1
-}
-
-python_compile_all() {
- # To build docs the need be located in $BUILD_DIR,
- # else PYTHONPATH points to unusable modules.
- if use doc; then
- cd "${BUILD_DIR}"/lib || die
- cp -ar "${S}"/doc . && cd doc || die
- LANG=C PYTHONPATH=. virtx ${EPYTHON} make.py html
- fi
-}
-
-src_test() {
- virtx distutils-r1_src_test
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # test for rounding errors, fails if we have better precision
- # e.g. on amd64 with FMA or on arm64
- # https://github.com/pandas-dev/pandas/issues/38921
- pandas/tests/window/test_rolling.py::test_rolling_var_numerical_issues
-
- # TODO
- pandas/tests/api/test_api.py::TestTesting::test_util_testing_deprecated
- pandas/tests/api/test_api.py::TestTesting::test_util_testing_deprecated_direct
-
- # TODO: these require a running db server
- pandas/tests/io/test_sql.py::TestMySQLAlchemy
- pandas/tests/io/test_sql.py::TestMySQLAlchemyConn
- pandas/tests/io/test_sql.py::TestPostgreSQLAlchemy
- pandas/tests/io/test_sql.py::TestPostgreSQLAlchemyConn
- )
-
- local -x LC_ALL=C.UTF-8
- cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
- "${EPYTHON}" -c "import pandas; pandas.show_versions()" || die
- epytest pandas --skip-slow --skip-network -m "not single" \
- -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" ||
- die "Tests failed with ${EPYTHON}"
-}
-
-python_install_all() {
- if use doc; then
- dodoc -r "${BUILD_DIR}"/lib/doc/build/html
- einfo "An initial build of docs is absent of references to statsmodels"
- einfo "due to circular dependency. To have them included, emerge"
- einfo "statsmodels next and re-emerge pandas with USE doc"
- fi
-
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- optfeature "accelerating certain types of NaN evaluations, using specialized cython routines to achieve large speedups." dev-python/bottleneck
- optfeature "accelerating certain numerical operations, using multiple cores as well as smart chunking and caching to achieve large speedups" ">=dev-python/numexpr-2.1"
- optfeature "needed for pandas.io.html.read_html" dev-python/beautifulsoup4 dev-python/html5lib dev-python/lxml
- optfeature "for msgpack compression using blosc" dev-python/blosc
- optfeature "Template engine for conditional HTML formatting" dev-python/jinja
- optfeature "Plotting support" dev-python/matplotlib
- optfeature "Needed for Excel I/O" ">=dev-python/openpyxl-3.0.0" dev-python/xlsxwriter dev-python/xlrd dev-python/xlwt
- optfeature "necessary for HDF5-based storage" ">=dev-python/pytables-3.2.1"
- optfeature "R I/O support" dev-python/rpy
- optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
- optfeature "SQL database support" ">=dev-python/sqlalchemy-1.3.0"
- optfeature "miscellaneous statistical functions" dev-python/scipy
- optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/PyQt5 dev-python/pygtk x11-misc/xclip x11-misc/xsel
-}
diff --git a/dev-python/pandas/pandas-1.4.3.ebuild b/dev-python/pandas/pandas-1.4.3.ebuild
index f0cf8ac0e02f..e7e4a5b010d2 100644
--- a/dev-python/pandas/pandas-1.4.3.ebuild
+++ b/dev-python/pandas/pandas-1.4.3.ebuild
@@ -21,7 +21,7 @@ S="${WORKDIR}/${P/_/}"
SLOT="0"
LICENSE="BSD"
-KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86"
IUSE="doc full-support minimal test X"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pygame_sdl2/pygame_sdl2-7.3.5-r2.ebuild b/dev-python/pygame_sdl2/pygame_sdl2-7.3.5-r2.ebuild
index 40e48e898661..7b08c8a6480d 100644
--- a/dev-python/pygame_sdl2/pygame_sdl2-7.3.5-r2.ebuild
+++ b/dev-python/pygame_sdl2/pygame_sdl2-7.3.5-r2.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{7,8,9,10} )
inherit distutils-r1
@@ -21,12 +21,13 @@ BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]"
DEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
+ media-libs/libjpeg-turbo:=
media-libs/libpng:0=
media-libs/libsdl2:=[video]
media-libs/sdl2-image:=[png,jpeg]
>=media-libs/sdl2-mixer-2.0.2:=
media-libs/sdl2-ttf:=
- virtual/jpeg:0"
+"
RDEPEND="${DEPEND}"
S=${WORKDIR}/${PYSDL}-for-renpy-${PV}
diff --git a/dev-python/sphinx-autoapi/Manifest b/dev-python/sphinx-autoapi/Manifest
index 8f4b84c9d6c4..1c64975e41d0 100644
--- a/dev-python/sphinx-autoapi/Manifest
+++ b/dev-python/sphinx-autoapi/Manifest
@@ -1 +1,2 @@
DIST sphinx-autoapi-1.8.4.tar.gz 83541 BLAKE2B 05d706fda6da4aea55e535a995ef01dc54269fa8e452c51c9bf2cec2e596ccec20191b8cb3c0cde1b93daa4f5d85074a293c9fd449d99d3c494ba20c6cee2df8 SHA512 10b4d87e1046ad372a3491006cd4bece8334fc398025f98654781c83ee200045d707f3293a031f8cf0abe5d20a111e7ded864f2b6deffe5222b331ca8c9b688b
+DIST sphinx-autoapi-1.9.0.gh.tar.gz 84730 BLAKE2B 31547c0dee076736d65867d9856e713581c440d2b1f01b7ebcbe09b31a7bf2979346bcbe18d6064fd5656b7d7dab9149c67fe79f0db7e5757c2581370c11a8cd SHA512 f098f474d9821c974c2ede77de30f3317c87cb87ec00b7a1c021add1d07a1ed59fa3b4165edf2b7f5165004ba9c717394962154098bc89b52989d0e604c542f1
diff --git a/dev-python/sphinx-autoapi/sphinx-autoapi-1.9.0.ebuild b/dev-python/sphinx-autoapi/sphinx-autoapi-1.9.0.ebuild
new file mode 100644
index 000000000000..f2595fae1e7e
--- /dev/null
+++ b/dev-python/sphinx-autoapi/sphinx-autoapi-1.9.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A new approach to API documentation in Sphinx"
+HOMEPAGE="
+ https://sphinx-autoapi.readthedocs.io/
+ https://github.com/readthedocs/sphinx-autoapi/
+ https://pypi.org/project/sphinx-autoapi/
+"
+SRC_URI="
+ https://github.com/readthedocs/sphinx-autoapi/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/astroid[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/unidecode[${PYTHON_USEDEP}]
+"
+
+DOCS=( README.rst CHANGELOG.rst )
+
+# Test requires pypi download w/ internet: https://github.com/readthedocs/sphinx-autoapi/issues/329
+EPYTEST_DESELECT=(
+ tests/test_integration.py::TestExtensionErrors::test_extension_setup_errors[dotnetexample-override_conf2-AutoAPI
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs --no-autodoc
diff --git a/dev-python/stapler/stapler-1.0.0_p20220330.ebuild b/dev-python/stapler/stapler-1.0.0_p20220330.ebuild
index 9b90e0c73297..3c8ef4d91dde 100644
--- a/dev-python/stapler/stapler-1.0.0_p20220330.ebuild
+++ b/dev-python/stapler/stapler-1.0.0_p20220330.ebuild
@@ -23,3 +23,8 @@ DEPEND="test? ( dev-python/PyPDF2[${PYTHON_USEDEP}] )"
RDEPEND="dev-python/PyPDF2[${PYTHON_USEDEP}]"
distutils_enable_tests unittest
+
+src_prepare() {
+ default
+ sed -i -e 's/^from PyPDF2.pdf/from PyPDF2/' staplelib/tests.py || die
+}
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index a55d09550a80..8762e265c4c1 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -1 +1,2 @@
DIST urllib3-1.26.10.tar.gz 297854 BLAKE2B 2523bc197ed9720e2bd011ffa46a46605cab902d66b245cb5229e15e90ac5bac990851d6cb9b6aa2dd5682da2639af7cd8e3c8c27f1210e5ca0c7c10498babd3 SHA512 76c1cc9420c267986c7775a9d9eadfd08e980643c2da16602f755e11a274ffbbf1813f30245fb0d84ee3a99bb3aa33b98893f285cabec8dd4aee1304420cb15b
+DIST urllib3-1.26.11.tar.gz 299255 BLAKE2B bf4d5f0b9f8a95c825b9f8fd963a1dc46688123641c3198812dedc11155f445f75ca321e3e283b649bc30cda8de497d0fb88298d6ad41660d91b8843121e50a2 SHA512 d2cc0f57469b640147f2087e2844a7c2c45e5a374ad0f28c1639d9a38ff6d6760f65b9b3187409cee29782d854468a1e4bc1b20d96e010fdd1fd4213bf1cd924
diff --git a/dev-python/urllib3/urllib3-1.26.11.ebuild b/dev-python/urllib3/urllib3-1.26.11.ebuild
new file mode 100644
index 000000000000..5eaf76c6344b
--- /dev/null
+++ b/dev-python/urllib3/urllib3-1.26.11.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="
+ https://github.com/urllib3/urllib3/
+ https://pypi.org/project/urllib3/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="brotli test"
+RESTRICT="!test? ( test )"
+
+# dev-python/{pyopenssl,cryptography,idna,certifi} are optional runtime
+# dependencies. Do not add them to RDEPEND. They should be unnecessary with
+# modern versions of python (>= 3.2).
+RDEPEND="
+ >=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/PySocks-2.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ brotli? ( dev-python/brotlicffi[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlicffi[\${PYTHON_USEDEP}]
+ dev-python/mock[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.2.1[\${PYTHON_USEDEP}]
+ " python3_{7..10})
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unbundle urllib3
+ rm src/urllib3/packages/six.py || die
+ find -name '*.py' -exec sed -i \
+ -e 's:\([.]*\|urllib3\.\)\?packages\.six:six:g' \
+ -e 's:from \([.]*\|urllib3\.\)\?packages import six:import six:g' \
+ {} + || die
+}
+
+python_test() {
+ local -x CI=1
+ # FIXME: get tornado ported
+ # please keep in sync with BDEPEND!
+ if ! has "${EPYTHON}" python3.{8..11}; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # unstable (relies on warning count)
+ test/with_dummyserver/test_proxy_poolmanager.py::TestHTTPProxyManager::test_proxy_verified_warning
+ )
+ has "${EPYTHON}" python3.{8..10} && EPYTEST_DESELECT+=(
+ test/contrib/test_pyopenssl.py::TestPyOpenSSLHelpers::test_get_subj_alt_name
+ )
+
+ epytest
+}
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index 9d2edbf80190..c4e9ec5619ea 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -1,3 +1,4 @@
DIST virtualenv-20.14.1.tar.gz 12216889 BLAKE2B 7d06b47629dcf4a60299b9b0a192478b20ef820b8a7516569e50b57b2df383781e7e14fd4beda14a3425164997e69c8ed922edb593f86eb3bd85e4ee3a9f2ac1 SHA512 149e78787db23eabd4238baa172bf023ddcf87d59284fdd090269acfa15991aab182f9e168851f88ef810d5c50dd7cdce69d132c46ebedb10080d65a308e63a1
DIST virtualenv-20.15.0.tar.gz 13523195 BLAKE2B c5d4b1fd78998ccdc7a041d11e0fcb569bfd00151975170260e245726eee03b4ef1cf758d43175312e69e4b482f9ec17b4e93e6854c3bfeafa2304eef2688a20 SHA512 2e3cddae926f89ef986a85ddf592b38d53401212e974b65243b9f47290b653798ab2405920c28d3a7961aeb726f25ed6401e19661f1e9ce7afd195e87a0524ab
DIST virtualenv-20.15.1.tar.gz 13523736 BLAKE2B 4f8d491fae7c0c28ae349845c4c5ddd27e53b9007a427c8a36e66a427269b519829f1c351f028b63fe38b49e934f4e209bd2cf2e07363171f732c6b0a052a3bc SHA512 244e3b091c8b049edbb07d808633fd44b3327200e1d38394814794773d05723ef535721ee163b382d23bc16572d55657b5c2544efd83494753746cc85116696a
+DIST virtualenv-20.16.0.tar.gz 12217565 BLAKE2B 534d665b56191c2e804306677b6771d3d0fa6104c476f8f17fbf40c2f8a3b7ccf6ffa9f8dec4d8de515f610f2ffc7b5d67bc99d82be4c0cc73990e5664a1d1e3 SHA512 f34827ec0e1b7325ee23b53b5fa2c36c1377d3fe7265b7187cf43592f74b37d66747abf69f0f33850212bf3aa69c98147cfffc37b311b98a1127f7ac5d9c69e4
diff --git a/dev-python/virtualenv/virtualenv-20.16.0.ebuild b/dev-python/virtualenv/virtualenv-20.16.0.ebuild
new file mode 100644
index 000000000000..b2a8d7d69b43
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-20.16.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+ https://virtualenv.pypa.io/en/stable/
+ https://pypi.org/project/virtualenv/
+ https://github.com/pypa/virtualenv/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/distlib-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/pip-20.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezegun-0.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.3.4[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ )
+"
+
+# (unpackaged deps)
+#distutils_enable_sphinx docs \
+# dev-python/sphinx-argparse \
+# dev-python/sphinx_rtd_theme \
+# dev-python/towncrier
+distutils_enable_tests pytest
+
+src_configure() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/unit/activation/test_xonsh.py
+ tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+ tests/unit/create/test_creator.py::test_cross_major
+ # tests failing without python2 installed
+ "tests/unit/create/test_creator.py::test_py_pyc_missing[True-False]"
+ "tests/unit/create/test_creator.py::test_py_pyc_missing[False-False]"
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_zip_importer_can_import_setuptools'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3--bin-]'
+ )
+ [[ ${EPYTHON} == python3.11 ]] && EPYTEST_DESELECT+=(
+ # TODO
+ tests/unit/discovery/py_info/test_py_info.py::test_py_info_setuptools
+ tests/unit/discovery/py_info/test_py_info.py::test_custom_venv_install_scheme_is_prefered
+ )
+
+ epytest
+}
+
+pkg_postinst() {
+ elog "Please note that while virtualenv package no longer supports"
+ elog "Python 2.7, you can still create py2.7 virtualenvs via:"
+ elog " $ virtualenv -p 2.7 ..."
+}